## wavparse

wavparse — Parse a .wav file into raw audio

## Properties

gboolean | ignore-length | Read / Write

## Types and Values

struct | GstWavParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstWavParse

## Description

Parse a .wav file into raw or compressed audio.

Wavparse supports both push and pull mode operations, making it possible to stream from a network source.

### Example launch line

    1

    gst-launch-1.0 filesrc location=sine.wav ! wavparse ! audioconvert ! alsasink

Read a wav file and output to the soundcard using the ALSA element. The wav file is assumed to contain raw uncompressed samples.

    1

    gst-launch-1.0 gnomevfssrc location=http://www.example.org/sine.wav ! queue ! wavparse ! audioconvert ! alsasink

Stream data from a network url.

## Synopsis

### Element Information

plugin | wavparse
author | Erik Walthinsen <omega@cse.ogi.edu>
class | Codec/Demuxer/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-wav

name | src
direction | source
presence | always
details | audio/ms-gsm, rate=(int)[ 1, 96000 ], channels=(int)[ 1, 2 ]
| audio/mpeg, mpegversion=(int)1, layer=(int)3, rate=(int)[ 8000, 48000 ], channels=(int)[ 1, 2 ]
| audio/mpeg, mpegversion=(int)1, layer=(int)2, rate=(int)[ 16000, 48000 ], channels=(int)[ 1, 2 ]
| audio/x-raw, format=(string){ S8, U8, S16LE, U16LE, S24LE, U24LE, S32LE, U32LE }, layout=(string)interleaved, rate=(int)[ 1000, 192000 ], channels=(int)[ 1, 8 ]
| audio/x-vorbis, rate=(int)[ 1000, 192000 ], channels=(int)[ 1, 2 ]
| audio/x-ac3, rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 6 ]
| audio/x-dts
| audio/mpeg, mpegversion=(int)4, rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 8 ]
| audio/x-alaw, rate=(int)[ 1000, 48000 ], channels=(int)[ 1, 2 ]
| audio/x-mulaw, rate=(int)[ 1000, 48000 ], channels=(int)[ 1, 2 ]
| audio/x-wms, bitrate=(int)[ 0, 2147483647 ], rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 2 ], block_align=(int)[ 1, 2147483647 ]
| audio/x-adpcm, layout=(string)microsoft, rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 2 ], block_align=(int)[ 1, 2147483647 ]
| audio/x-adpcm, layout=(string)dvi, rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 2 ], block_align=(int)[ 1, 2147483647 ]
| audio/x-truespeech, rate=(int)8000, channels=(int)[ 1, 2 ]
| audio/x-wma, wmaversion=(int)1, bitrate=(int)[ 0, 2147483647 ], rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 8 ], block_align=(int)[ 1, 2147483647 ]
| audio/x-wma, wmaversion=(int)2, bitrate=(int)[ 0, 2147483647 ], rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 8 ], block_align=(int)[ 1, 2147483647 ]
| audio/x-wma, wmaversion=(int)3, bitrate=(int)[ 0, 2147483647 ], rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 8 ], block_align=(int)[ 1, 2147483647 ]
| audio/x-vnd.sony.atrac3, rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 2 ]
| audio/x-raw, format=(string){ F32LE, F64LE }, layout=(string)interleaved, rate=(int)[ 1000, 192000 ], channels=(int)[ 1, 8 ]
| audio/x-voxware, voxwaretype=(int)117, rate=(int)[ 1000, 96000 ], channels=(int)[ 1, 2 ]
| audio/x-adpcm, layout=(string)dk4, rate=(int)[ 8000, 96000 ], channels=(int)[ 1, 2 ]
| audio/x-adpcm, layout=(string)dk3, rate=(int)[ 8000, 96000 ], channels=(int)[ 1, 2 ]
| audio/x-adpcm, layout=(string)dvi, rate=(int)[ 8000, 96000 ], channels=(int)[ 1, 2 ]
| audio/AMR, rate=(int)8000, channels=(int)1
| audio/AMR-WB, rate=(int)16000, channels=(int)1
| audio/x-siren
| application/x-ogg-avi

## Functions

## Types and Values

### struct GstWavParse

    struct GstWavParse;

Opaque data structure.

## Property Details

### The `“ignore-length”` property

      “ignore-length”            gboolean

This selects whether the length found in a data chunk should be ignored. This may be useful for streamed audio where the length is unknown until the end of streaming, and various software/hardware just puts some random value in there and hopes it doesn't break too much.

Flags: Read / Write

Default value: FALSE